using UnityEngine;
using System.Collections;
using System;

[Serializable]
public class Gun {

	public string Name;
	public string Desc;

	public float FireCooldown;
	public Transform Projectile;
	public float MuzzleSpeed;
	public float Range;
	public int Ammo;
	public float ReloadTime;
	public float RefireDelay;
	public float Kickback;
	public float Kicktime;
	public bool Automatic=false;

	//public AudioClip FireSound;
	//public AudioClip ReloadSoundStart;
	//public AudioClip ReloadSoundEnd;
	public Transform MuzzleFlashPrefab;

	[HideInInspector]
	public int loadedAmmo;

	public bool isEmpty()
	{
		return loadedAmmo <= 0;
	}

	public bool isFull()
	{
		return loadedAmmo == Ammo;
	}

	public void Reload()
	{
		loadedAmmo = Ammo;
	}

}
